Skip to main content
POST
/
api
/
v1
/
conversations
/
{id}
/
keypoints
Generate keypoints
curl --request POST \
  --url https://www.itsconvo.com/api/v1/conversations/{id}/keypoints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "forceRefresh": false
}
'
{
  "data": {
    "id": "<string>",
    "title": "Q1 Planning Review",
    "keypoints": {
      "title": "<string>",
      "sections": [
        {
          "heading": "<string>",
          "points": [
            "<string>"
          ]
        }
      ],
      "decisions": [
        "<string>"
      ],
      "actionItems": [
        {
          "item": "<string>",
          "owner": "<string>",
          "confidence": 123,
          "priority": "high"
        }
      ],
      "participants": [
        "<string>"
      ],
      "importantDates": [
        {
          "date": "<string>",
          "context": "<string>"
        }
      ]
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "cached": true
  }
}

Authorizations

Authorization
string
header
required

API key as Bearer token. Generate keys in your Convo dashboard settings.

Path Parameters

id
string
required

Conversation session ID

Body

application/json
forceRefresh
boolean
default:false

Force regeneration even if cached result exists

Response

Generated keypoints

data
object